#-*- coding: utf-8 -*-
#
# Lecture_FILM_liste_de_listes.py
 
from os import chdir
from os import listdir

# Se déplacer dans le dossier en cours si besoin
path = r'P:\PRO\USB\NSI\NSI DONNEES EN TABLE'
chdir(path)


import csv

# On créer la liste vide
table=[]
 
# Lecture de la table csv, le résultat est dans une 
# liste de liste
with open('FILM.CSV', encoding="utf8") as myFile:
    reader = csv.reader(myFile,delimiter=';')
    for row in reader:  
        table.append(row)	
        
for x in range(len(table)):
    print(table[x])

print()
print()
    
# Sélection de lignes : quels sont les films dirigés par Bergman
# Avec doublons
liste_lignes = [ x for x in table if x[1] == 'Bergman']

print('Les films dirigés par Bergman : ')
for x in range(len(liste_lignes)):
    print(liste_lignes[x][0])

print()
print()  

# Sélection de lignes : quels sont les films dirigés par Bergman
# sans doublons
liste_lignes_sd = set([ x[0] for x in table if x[1] == 'Bergman']) 

print('Les films dirigés par Bergman sans doublons: ')
for x in liste_lignes_sd:
    print(x)     
    
print()
print() 
    
# Sélection de colonnes on ignore le descripteur :
liste_colonnes = [[table[x][1],table[x][2]] for x in range (1 , len(table)) ]

print('Table créée par projection sur la table film attribut Directeur, Acteur :')
for x in range(len(liste_colonnes)):
    print(liste_colonnes[x])    

print()
print()    